Bug 114223 - redhat-config-packages does not find files after CD change
redhat-config-packages does not find files after CD change
Product: Fedora
Classification: Fedora
Component: redhat-config-packages (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-01-24 12:34 EST by Turo Janka
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 16:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Turo Janka 2004-01-24 12:34:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When redhat-config-packages prompts to insert CD-ROM. After inserting
correct CD (it's mounted automatically) and clicking [OK] -button it
seems to umount that CD (why?) and there appears error message :

Error installing packages

There was an error installing packages.


Shell error message :
The file /mnt/cdrom1/Fedora/RPMS/fontconfig-devel-2.2.1-6.1.i386.rpm
cannot be opened. This is due to a missing file, a bad package, or bad
media. Press <return> to try again.

If that redhat-config-packages application is started again, it finds
files from that CD without problems.

After (possible) CD change that same error message appears again and
all packages are being marked as installed even if it didn't install
anything after CD change (Another bug?).

If CD is inserted and umounted before running that application it
works without problems. All CDs are tested.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Do not insert any CDs in any drive
2. Start redhat-config-packages
3. Try to install some packages
4. Insert correct CD and click [OK] -button

Additional info:
Comment 1 Jeremy Katz 2005-09-21 16:19:19 EDT
This report is filed against a product which is no longer supported.  It is very
likely that the problem is resolved in the current version of Fedora Core or
scheduled to be resolved with the new system-config-packages scheduled to land
in Fedora Core 5.

Note You need to log in before you can comment on or make changes to this bug.